Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadClassAsynchronousDefaultBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadClassAsynchronousDefaultBean

@ApplicationScoped @Bulkhead @Asynchronous public class BulkheadClassAsynchronousDefaultBean extends Object
A simple class level Asynchronous @Bulkhead

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`BulkheadClassAsynchronousDefaultBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadClassAsynchronousDefaultBean

public BulkheadClassAsynchronousDefaultBean()

## Method Details

### test

public Future<?> test(Barrier barrier)